TPMLIB_CancelCommand(3)

NAME
TPMLIB_CancelCommand - Cancel a TPM command

LIBRARY
TPM library (libtpms, -ltpms)

SYNOPSIS
#include <libtpms/tpm_library.h>

uint32_t TPMLIB_CancelCommand(void);

DESCRIPTION
The TPMLIB_CancelCommand() function indicates that the ongoing processing of a TPM command is to be cancelled. The cancellation will only be effective for certain time consuming operations, such as the creation of keys.

Note that an implementation that wants to support cancellation of commands needs to process TPM commands in one thread and cancel them in another.

SEE ALSO
TPMLIB_Process(3)